## deepin-ab-recovery 1.2.7

=== Makefile ===
LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))
PREFIX = /usr

all: build

build:
	mkdir -p out/bin
	go build -o out/bin/ab-recovery $(GO_BUILD_FLAGS)

install: translate
	install -d ${DESTDIR}${PREFIX}/share/locale
	cp -rv out/locale/* ${DESTDIR}${PREFIX}/share/locale
	install -D out/bin/ab-recovery ${DESTDIR}${PREFIX}/lib/deepin-daemon/ab-recovery
	install -D misc/11_deepin_ab_recovery ${DESTDIR}/etc/grub.d/11_deepin_ab_recovery
	install -m 0644 -D misc/12_deepin_ab_recovery.cfg \
		${DESTDIR}/etc/default/grub.d/12_deepin_ab_recovery.cfg
	install -m 0644 -D misc/com.deepin.ABRecovery.conf ${DESTDIR}${PREFIX}/share/dbus-1/system.d/com.deepin.ABRecovery.conf
	install -m 0644 -D misc/com.deepin.ABRecovery.service ${DESTDIR}${PREFIX}/share/dbus-1/system-services/com.deepin.ABRecovery.service

test:
	go test -v ./...

test-coverage:
	env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go test -cover -v ./... | awk '$$1 ~ "(ok|\\?)" {print $$2","$$5}' | sed "s:${CURDIR}::g" | sed 's/files\]/0\.0%/g' > coverage.csv

print_gopath:
	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"

clean:
	rm -rf out

out/locale/%/LC_MESSAGES/deepin-ab-recovery.mo: misc/po/%.po
	mkdir -p $(@D)
	msgfmt -o $@ $<

translate: $(addsuffix /LC_MESSAGES/deepin-ab-recovery.mo, $(addprefix out/locale/, ${LANGUAGES}))

check_code_quality:
	go vet .

pot:
	xgettext -kTr --language=C -o misc/po/deepin-ab-recovery.pot *.go

=== debian/changelog ===
deepin-ab-recovery (1.2.7-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 14 Apr 2021 15:33:01 +0800

deepin-ab-recovery (0.0.0) unstable; urgency=medium

  * first release

 -- electricface <songwentai@deepin.com>  Wed, 04 Sep 2019 16:52:07 +0800

=== debian/control ===
Source: deepin-ab-recovery
Section: admin
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 dde-api-dev,
 debhelper-compat (= 11),
 golang-dlib-dev,
 golang-github-linuxdeepin-go-dbus-factory-dev,
 golang-github-stretchr-testify-dev,
 golang-go,
 golang-golang-x-xerrors-dev,
Standards-Version: 4.1.3
Homepage: http://github.com/linuxdeepin/deepin-ab-recovery

Package: deepin-ab-recovery
Architecture: any
Depends:
 grub-common,
 mount,
 rsync,
 ${misc:Depends},
 ${shlibs:Depends},
Description: A/B backup and restore service
 deepin A/B backup and restore service

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export GOPATH := /usr/share/gocode

%:
	dh $@ 

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

ifeq ($(DEB_BUILD_ARCH),sw_64)
override_dh_strip:
	true
override_dh_auto_test:
	true
endif

## deepin-ab-recovery 1.3.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))
 PREFIX = /usr
+export GO111MODULE=off
 
 all: build

=== debian/changelog ===
deepin-ab-recovery (1.3.7-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:20:57 +0800

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 export GOPATH := /usr/share/gocode
+export GOCACHE := /tmp/gocache
 
 %:
 	dh $@

## deepin-ab-recovery 1.3.31

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))
 PREFIX = /usr
+ARCH = ${shell uname -m}
 export GO111MODULE=off
 
 all: build
@@ -11,8 +12,12 @@
 install: translate
 	install -d ${DESTDIR}${PREFIX}/share/locale
 	cp -rv out/locale/* ${DESTDIR}${PREFIX}/share/locale
+    ifeq (${ARCH},sw_64)
+		install -D misc/11_deepin_ab_recovery ${DESTDIR}/etc/grub.d/sw64/11_deepin_ab_recovery
+    else
+		install -D misc/11_deepin_ab_recovery ${DESTDIR}/etc/grub.d/11_deepin_ab_recovery
+    endif
 	install -D out/bin/ab-recovery ${DESTDIR}${PREFIX}/lib/deepin-daemon/ab-recovery
-	install -D misc/11_deepin_ab_recovery ${DESTDIR}/etc/grub.d/11_deepin_ab_recovery
 	install -m 0644 -D misc/12_deepin_ab_recovery.cfg \
 		${DESTDIR}/etc/default/grub.d/12_deepin_ab_recovery.cfg
 	install -m 0644 -D misc/com.deepin.ABRecovery.conf ${DESTDIR}${PREFIX}/share/dbus-1/system.d/com.deepin.ABRecovery.conf

=== debian/changelog ===
deepin-ab-recovery (1.3.31-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 13 Aug 2022 14:11:57 +0800

## deepin-ab-recovery 1.3.32

=== debian/changelog ===
deepin-ab-recovery (1.3.32-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 14:07:02 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  dde-api-dev,
  debhelper-compat (= 11),
- golang-dlib-dev,
+ golang-github-linuxdeepin-go-lib-dev,
  golang-github-linuxdeepin-go-dbus-factory-dev,
  golang-github-stretchr-testify-dev,
  golang-go,

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,12 @@
 export GOPATH := /usr/share/gocode
 export GOCACHE := /tmp/gocache
 
+ifneq ($(DEB_BUILD_ARCH), mips64el)
+	export GO_BUILD_FLAGS=-ldflags '-linkmode=external -extldflags "-pie"'
+endif
+
 %:
-	dh $@ 
+	dh $@
 
 override_dh_shlibdeps:
 	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## deepin-ab-recovery 1.3.35

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,10 @@
 		${DESTDIR}/etc/default/grub.d/12_deepin_ab_recovery.cfg
 	install -m 0644 -D misc/com.deepin.ABRecovery.conf ${DESTDIR}${PREFIX}/share/dbus-1/system.d/com.deepin.ABRecovery.conf
 	install -m 0644 -D misc/com.deepin.ABRecovery.service ${DESTDIR}${PREFIX}/share/dbus-1/system-services/com.deepin.ABRecovery.service
-
+	mkdir -p ${DESTDIR}${PREFIX}/libexec/deepin-ab-recovery
+	install -D misc/deepin_ab_recovery_get_backup_grub_args.sh ${DESTDIR}${PREFIX}/libexec/deepin-ab-recovery/deepin_ab_recovery_get_backup_grub_args.sh
+	mkdir -p ${DESTDIR}/var/lib/deepin-ab-recovery/hooks/
+	install -D misc/99_deepin_ab_clear_kernel.sh ${DESTDIR}/var/lib/deepin-ab-recovery/hooks/99_deepin_ab_clear_kernel.sh
 test:
 	go test -v ./...

=== debian/changelog ===
deepin-ab-recovery (1.3.35-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 11 Apr 2023 11:08:29 +0800

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  grub-common,
  mount,
  rsync,
+ jq,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: A/B backup and restore service
